Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsExport

Import a Google Drive document (Drive export)

Exports a Google Doc or uploads a compatible Drive file into tenant storage. Document must be present in the authorized files allowlist. Emits eventName…

POST
/api/v1/integrations/google-docs/export

Exports a Google Doc or uploads a compatible Drive file into tenant storage. Document must be present in the authorized files allowlist. Emits eventName integrations.google_docs.export and failureEventName integrations.google_docs.export_failed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/integrations/google-docs/export" \  -H "Content-Type: application/json" \  -d '{    "documentId": "string"  }'
{  "success": true,  "data": {    "file": {}  }}

How is this guide?